Subject: A survey on Chinese Word Processors, Part III: on Tian Ma

From: Kang Sun <[email-masked]>
Date: Tue, 3 Jul 90 11:44:20 EDT

The survey below was written for a newsletter for Chinese students at
Yale about two years ago.

This part was written by a reader of our newsletter. With that in mind
when you read so that you can tolerate some of the wordings.

-- Kang Sun

================================

                A SURVEY ON CHINESE WORD PROCESSORS

Part III: On Tian Ma.

                                                -- Yu XiaoBo
Dear Eidtor-in-chief,

     I hope you like this new way of addressing.  You could use my
letter or part thereof in a new column in your SR Newsletter: Letters
to the Editor (Do you mind if I drop the words "In-Chief"?).

      First of all, I would like to say how much I liked yours
Newsletters (I think all "Letters to the Editor" begin like this;
otherwise, my letter will be dragged into the Trash Can if you have a
good mouse to help you).

      As I happen to be one of those "valued customers" who have made
a wise investment (according to Tianma Dealer) in the Chinese word
processor "Tianma", I would like to add a few comments about this
package.

      1.  The current version is known as Tianma II, developed by
International Geosystems Corporation in Vancouver (originally in
cooperation with the Ministry of Minerology of PRC).  The current
price is $695.00, available from:

               Pacific Rim Connections
               3030 Atwater Drive
               Burlingame
               CA 94010

      2.  Except for the high price and the fact that it is a physical
ROM board (Don't even ask the question of "copy-protected" or not!), I
like Tianma better than LXHZ and the Duke package (please excuse me
for showing a bit of consumer or user affiliation).  I think the major
considerations should be one's specific needs, which I will explain
below.

      3. In terms of an "information storage and retrieval system",
Tianma has a unique inputting method, i.e., by Hanyu Pinyin or by
"Guoyu Zhuyin Fuhao" (the former for mainland users and the latter for
Taiwan users).  Other word processors with Pinyin or other spelling
input requires the user to choose from many homonyms.  For instance,
if you type "ai", the screen give you all the homonyms to choose from
(ai1, ai2, ai3, ai4 with all their dittos).  Even with those that
limit the number of homonyms by using additional tone markers (such as
the Duke package), the homonyms are too many for my patience.  It
seems to break up the train of thought by choosing numbers while I am
thinking in Chinese or English.  Maybe real mathematicians have a
different feeling here!)  With Tianma, I type in Pinyin using "word"
as a unit, for instance, "pingguo" for apple.  Homonyms of words are
rare, so far I have run into a few, such as "lianxi" for exercise or
connection, "juzi" for sentence or orange; "youyong" for useful or
swimming.  Remember, with Tianma, I only type in Pinyin without tones,
and my train of thought corresponds to the way that I use the language
in writing and speaking.  Other input methods (by Lianxiang with
numbers, by Pinyin plus tones with numbers, by codes for radicals and
graphic components of the character) seem less "natural" to me.  Of
course, for those who don't like Pinyin or "Guoyu Zhuyin Fuhao
Bo-po-mo-fo", it is a different story.

      4.  After I put in my text in Pinyin (or Guoyu Zhuyin Fuhao),
Tianma converts it into simplified or nonsimplified characters,
depending on which button I push. The fonts for both versions are
really good, I would say better for LXHZ, and incomparably much much
superior to the Duke font.  In terms of the quality of the font,
Tianma is presently only inferior to the newest Readypage (a Chinese
desktop publishing package, worth $2000 to $3000, depending on number
of fonts and other configurations). Currently, Brushwriter 2 (with
both IBM and Mac versions) also has a really good font, but no better
than Tianma.  Tianma can use 9 pin, 24 pin or laser printers.  Tianma
comes with a buil-in ROM dictionary containing "thousands" of words in
personal and business corresponding, enough to cover everyday usage.
Tianma has a user dictionary that one builds up as one uses the
package, one can also draw or modify existing characters.  The more
one uses Tianma, the more one builds up the user dictionary, and the
more convenient one find it to be (You can get a negative comment by
replacing the word "more" with "less"!)

     5.  To me, as an information retrieval system, the advantage of
Tianma is that we can store our "raw" texts in Pinyin form, either as
ASCII file or as one of the major wordprocessor file, such as
WordPerfect or Word Star. In this way, such text can be imported to
other programs such as Notebook or Dbase.  Tianma is alleged to be
compatible with PRC programs such as CCDbase, CCLotus, and CCWordstar,
though LXHZ probably can also do this (I don't know for sure.)
Sometimes I type out some thing in Pinyin when I can't sit down at my
computer with the Tianma card.  I can do this in WordPerfect or Word
Star, then I import the Pinyin text into Tianma and Tianma gives me
the character version while I still keep the original Pinyin as text
file for potential other uses.  This seems unique with Tianma among
all the Chinese word processors.  (Of course, I have to do some or
even more than "some" editing, because the computer may give me the
wrong conversion because of limited homonyms or it may leave some
Pinyin words unconverted, because my existing dictionary does not have
that words or because I made a typo in Pinyin.

     6.  Tianma seems a little slow when handling long text in
characters, but I believe so are other Chinese word processors.
Tianma has good scren editing features and the company seems devoted
to frequent upgrading (though this may cost you more money: Tianma II
involves an additional $95.00 for upgrading from Tianma (I)).

     7.  Again, the drawback of Tianma is the high price and the
impossibility of free sharing.  Other programs developed in PRC or
Taiwan do not provide the "continuous train of thought" as the users
input the material. Here lies a big differece in design philosophy and
in "value" judgement.  In China, few scientists (social or natural)
are actualling typing out their own work while developing their own
thought.  When they solidify the draft (the manuscript), they want it
typed out, and professional typist or secretary would do the typing.
For such typists, they don't care about "continuous train of thought",
they finished their job "character by character", they can learn
special input coding method and can acquire the habit of using these
very skillfully, just as the old Chinese telegraphic code typist.  For
scientists (natural or "un-natural" scientists), they can't afford
this "broken train of thought", if they want to think efficiently
while typing out their draft material.  They could learn the special
code input, maybe better than the typists, but they don't want to type
"character by character" while thinking about yesterday's movies or
their future apartment which is still in the air!

       8.  Coming back to the U.S., we type our theses or papers in
English while thinking and working on the daft.  It would be fun to
use one of these Chinese wordprocessors, for fun,for better printing
quality, for writing home more conviniently or to impress some one who
may be special..., but how much has your word processor helped you
store up and retrieve useful information?  Have you ever experienced
the fun of developing your thought while constantly updating your
manuscript (as you must have done with your English word processor)?
I may have been too harsh or too much biased, but there is a real
difference in what do we expect from our word processors.  I tend to
feel uneasy when Renmin Ribao applaud so many "inputting" methods, and
it seems that with a surplus supply of typists and secretaries in PRC,
the scientist's needs in "typing while thinking" are being ignored!
How many companies in the U.S. target students and professors for word
processor markets! And how unlikely administratives in PRC (cadres
with their trusted secretaries) will make market decisions with
scientists and academic people in mind! Intellectuals with lower and
lower real income can't afford to buy books to their hearts' content,
how long it will take for foreign investors in China to think of
intellectuals as their potential customers!  Let's wait and keep
living in hope.

                                                Yours hopefully

                                            XY (Sic! No "Z" after XY)

==========================================

Date:         Sun, 21 Jan 90 18:15:07 EST
Reply-To:     Chinese Computing Network <CCNET-L@UGA>
Sender:       Chinese Computing Network <CCNET-L@UGA>
From:         [email-masked]
Subject:      Chinese Press Typeset System

Chinese Press Typeset System (CPTS) is developed by Chenqing Cheng, at
[email-masked] (Chunqing N. Cheng)

I only used it less than two hours and read less than eight pages
of the mannual.  I can only offer my crude first impression here.

CPTS is script based.  The functions may not be rich and far from
anything like TeX.  But it fills in the gap that a lot of Chinese
students, who are using low end packages, like Byx, and wish to
have HP laser printer output.  In some sense it provide a HP
laser printer driver for those low end packages like BYX, Duke
system and other easy and cheap to get systems.  It is not a editor
itself.

You type CPTS to run it.  It prompt you a list of options:
file name (to be printed)
simplified characters or traditional charaters
...

I'm not sure CPTS can become a powerful package in the future, but
I can point out two immediate improvement that can be done.

1) It would be better if the Simplified Character<->Traditional
character conversion can be interactive.

2) I hope the program offers a choice to exit if users decide not
to print any file.

I compiled some information about CPTS below from  what the author
posted on SCC
==========================================================

Current CPTS only supports HP Laserjet series printers and their compatibles.

CPTS has five different forms:
gemini yjj(7)> cat word
Date:         Sun, 21 Jan 90 18:15:07 EST
Reply-To:     Chinese Computing Network <CCNET-L@UGA>
Sender:       Chinese Computing Network <CCNET-L@UGA>
From:         [email-masked]
Subject:      Chinese Press Typeset System

Chinese Press Typeset System (CPTS) is developed by Chenqing Cheng, at
[email-masked] (Chunqing N. Cheng)

I only used it less than two hours and read less than eight pages
of the mannual.  I can only offer my crude first impression here.

CPTS is script based.  The functions may not be rich and far from
anything like TeX.  But it fills in the gap that a lot of Chinese
students, who are using low end packages, like Byx, and wish to
have HP laser printer output.  In some sense it provide a HP
laser printer driver for those low end packages like BYX, Duke
system and other easy and cheap to get systems.  It is not a editor
itself.

You type CPTS to run it.  It prompt you a list of options:
file name (to be printed)
simplified characters or traditional charaters
...

I'm not sure CPTS can become a powerful package in the future, but
I can point out two immediate improvement that can be done.

1) It would be better if the Simplified Character<->Traditional
character conversion can be interactive.

2) I hope the program offers a choice to exit if users decide not
to print any file.

I compiled some information about CPTS below from  what the author
posted on SCC
==========================================================

Current CPTS only supports HP Laserjet series printers and their compatibles.

CPTS has five different forms:

        A:   For China Mainland's Guobiao system (CCDOS)
        B:   For Taiwan basic Big-5 system (KC500)
        C:   For Taiwan's full Big-5 system (TWIN, ET, etc.)
        D:   Support both A & B
        E:   Support both A & C (whole set)

Libraries are big problems in developing and shaping the program.
As the situation stands right now, I can provide library for (A).
Library for (A) is based on the library by Institute of Software,
Academia Sinica with some modifications (This is allowed by I.S.A.S.
copyright notice).

Libraries for (B) and (C) will be provided by users' own Chinese
editors.  In case the libraries are protected, here I can tell you
a general rule to get rid of protection.  Since you use it for
your own purpose, it usually will not violate the copyright law
(please check your software for this).

CPTS does not contain editor, but you can get CCDOS editor Byx for
$10.00 and KC500 editor for about $20.00(?) (Write my own editor?
Again, Chinese fonts are problems; besides I do not have time as then
moment.) If you do not have a Chinese
editor, but like to make short articles in Chinese, you can
use any English editor to input internal codes which can be
looked up in tables which CPTS provides.

As a shareware, the following donation is required for the cost of
developing CPTS:

        Forms           Basic donatin   Shipping

        A               $20.00          $5.00
        B               $20.00          $5.00
        C               $25.00          $5.00
        D               $30.00          $5.00
        E               $40.00          $5.00
        printed manual  $5.00           $2.00

CPTS requires the following hardware:

                IBM XT/AT/PS2 or compatible PC
                             &
         HP laserjet series printers or compatibles

Some techinical data follows:

1:  Computer RAM:  The CPTS can be run on  256K RAM.  But it will be slow.
     If you have 640K RAM, it is fast.  More RAM requires less access to disks.
     But in any case, CPTS program plus data will be too large to put into RAM
     in this version of CPTS. (No effort is made to use extended RAM now)

2:  Printer RAM: basic configuration of 512K RAM of HP printers or compatibles
    are enough for normal operation.  If you really like to manipulate with
    CPTS to include graphics, to change options from place to place,
    you may need more RAM to be installed into your printers. CPTS has no
    knowledge about your printer's RAM.  But it will use all printer's RAM
    in cases needed.

3:  Hard disk is generaly recommended although CPTS can be managed to run
    on high density disks.

4:  Current CPTS uses 24x24 bit-mapped fonts.  But it can be customized if your
    fonts are different.

5.  CPTS has four different basic sizes for each Chinese character, and based
    on each basic size, you can enlarge freely both in horizontal and/or
    vertical direction(s).

6.  CPTS can rotate Chinese characters, make Chinese character bold.  I used to
    try make it as italics, but I was told italics font is available somewhere.
    So current CPTS italics option does not work.

7.  CPTS has two kinds of commands in general:
      (1) inline commands and (2) dot commands.

    in-line commands are used to change options from character to character
    but "dot command" change options from paragraph to paragraph.
    total commands in both forms are about 100.

8.  CPTS can generate multi-column text, read in graphics in proper format,
    add frames, add background, and put text anywhere in the paper if you
    want this to be done.

9.   CPTS can include text files to be printed, and also can accept Mainland
   and Taiwan's Big-5 standard at the very same file.  Thus, you can write
   a control file which contains enumerous files in mixture of two standards,
   CPTS will print continously.

10.   CPTS can print the file out as both complex forms or simplified
     character forms regardless which standards you are using.

     As mainland took step to simplified Chinese characters, there were
     about 2350 complex characters are simplified.  I just finished
     about 2000 characters.  I'm still working on the rest of characters
     but it takes time. So far, in most cases, it is hardly notice that
     no all characters are changed.

11.  Since CPTS uses minimum configuration of a computer and printers,
     the English characters only has two size, normal or compressed.
     (also not, in HP printers, compressed English character does not
     have bold option, though most compatibles do have).

12.  CPTS typesets Chinese characters for given length, regardles the sizes
     and numbers of Chinese charaters the line has.  If only one Chinese
     character is to be typesetted, it will be centered.

13.  CPTS in table environment will connect the lines as solid line.

14.  CPTS has several underline styles for underlining Chinese character

15.  CPTS has superscripts and underscripts.  Since CPTS allows you go
    anywhere on the paper you could write equations as well.

16.  You can use CPTS to generate BAR graphs easily.

17.  CPTS can print both horizontally and vertically.

Since I put CPTS as a shareware, thus, any comments and suggestions are
welcome.  Also, CPTS can be modified for particular magazine style upon
users's request.  My purpose is to make Chinese publication affordable
and flexible.  Some people asked about where they can get "Byx", here
is the address:

   Mr. YAN, Yong-xin
   7510 Brompton
   Apartment 628
   Houston, TX 77025
   (713) 663-2170 (office)
   (713) 661-5866 (home)
From:         Harlan Seyfer <[email-masked]>
Subject:      Chinese Wordprocessors
From:         "J.B. Wang" <[email-masked]>
Subject:      dvi->ps, TianMa and Desktop publishing

=========================================================================
Date:         Wed, 24 Jan 90 13:14:24 CST
Reply-To:     Chinese Computing Network <CCNET-L@UGA>
Sender:       Chinese Computing Network <CCNET-L@UGA>
From:         Harlan Seyfer <[email-masked]>
Subject:      Chinese Wordprocessors

China Books & Periodicals (2929 24th Street, San Francisco, CA, 94110;
phone (415) 282-2994) sells several Chinese Language Word Processors.
Since I have no connection with CB&P, other than possessing a copy of
their catalog, all the information here is tentative.
Does anyone have experience with any of these items?

name of software / hardware requirements / cost

1. TianMa II+ / IBM & compatibles, graphics card / $695
2. ReadyPage / IBM & compatibles, hard disk, graphics card / $595
3. BrushWriter 4 / Mac 512K, 2 floopies or hard drive || IBM & compatibles,
      graphics card / $599 (Mac), $750 (IBM) (PS/2 version available)
4. MisHu 2.0 / Mac 512K, 2 floopies or hard drive / $89 ($59 with student id)
5. PX Magic Typist / IBM & compatibles / $99
6. PX Chinese Magic Typist For TianMa II / IBM & compatibles / $199
7. Dr Kompac's Computerized Chinese-English English-Chinese Dictionary,
      version 2.0 / IBM & compatibles, hard disk, graphics card / $89

Also shown in the catalog with little description:
1.  FeiMa / PS/2 || Mac / no price given
2.  Rapid Voice Authoring System / IBM / $300

They also mention 2 programs for learning Chinese:
1. ChinEase / IBM & compatibles, graphics card / $49.95
2. Chinese-English Hypercard Flashcards / Mac Plus and above / $99.95
   _                                                                _
  (_)                                                              (_)
____\______________________________________________________________/_____
|    \                                                            /     |
|  Harlan Seyfer                       (612) 483-8107 /voice - home/    |
|  CASE Technologist               (home ==> the answering machine)/    |
|  Cray Research, Inc.                 (612) 681-5866 /voice - work/    |
|  1345 Northland Drive                  (612) 681-5602 /fax - work/    |
|  Mendota Heights                           uunet!cray!hks /USEnet/    |
|  Minnesota 55120                     [email-masked] /Internet/    |
|        Trust computers, but don't trust the person who does.          |
|_______________________________________________________________________|
==================================
Date:         Sun, 25 Feb 90 21:05:00 EST
Reply-To:     "J.B. Wang" <JWANG@PITTVMS>
Sender:       Chinese Computing Network <CCNET-L@UGA>
From:         "J.B. Wang" <[email-masked]>
Subject:      dvi->ps, TianMa and Desktop publishing

Here are a couple of announcements and comments related to
Chinese computing:

        1. An alternative dvi2ps
        2. dvialw or dvips
        3. impression of TianMa
        4. remarks on Chinese/English/Japanese Desktop publishing

3. Impression of TianMa
~~~~~~~~~~~~~~~~~~~~~~~

On (2/22), Yuan Jiang (one of ccnet organizer) and I spent one
afternoon in U of Columbia's east asian library to evaluate TianMa II plus
operated by an American librarian who knows Chinese better than most of
Chinese of our age. The original idea was to compare it with Chtext in
ch-series I developed. It is needless to say that TianMa is by far the
best Chinese inputter on PC and MAC level. You just simply keep typing in
PinYin and Chinese characters automatically translated according to
context (using AI) if it is a single character or phrase dictionary if
it is a phrase (like women --> not to confuse with ladies). The characters
thus translated may not be right. For instance, if you type in a sentence
of 20 PinYin, before you finish typing PinYin, maybe 12 are already
translated into Chinese characters, and after you press <Return>, all are
in Chinese characters. But among 20 Chinese characters, maybe 5 are not
what you want, and you can move cursor to a character when a string of
characters with same PinYin appears for you to choose with cursor. By
the way, TianMa does not know 4 tunes as some of the materials distributed
by individuals including myself said.

TianMa supports both simplified characters and traditional ones, you can
start with either, and convert to another afterward. But since simplified
and traditional characters are not one-to-one mapping. There are problems
with converted files.

TianMa's formatting and output quality is not impressive at all. Only two-four
font sizes can be selected. Therefore, we will only consider TianMa as a
Chinese editor. It is too expensive though.

Yuan is very good at collecting Chinese computing system information, he
also has booklets on Singapore's brushpaint, which is considered to have
good font support. I looked at those things, the font size can vary
at discrete sizes from 12pt to 30 some points. Some of the font style are
good. Quality-wise speaking, however, those fonts are really not for
desktop or camera-ready publishing. ChTeX (all Chinese TeX, Chinese Scribe
and WStroff) scaleable Chinese SongTi from 24x24 or 48x48 bitmap fonts have
much much superior output quality than what I saw, and the sizes can be
scaled continuously. But, Yuan said he copies are fax ones. I thought
however, a fax copy of ChTeX output should have the same quality as the
original one unless there are 256-gray-shaded bitmap images.

The conclusion is that TianMa has very good inputing spead overally,
and AI can indeed be applied to Chinese inputing. ChText of ch-series
was designed for mainframe dummy terminal at the beginning, and hence
you can see max 5 characters at a time. You can continuously type in sentences
and press return to start picking process, and CiZu mode is better than
TianMa, tunes can be used with individual PinYin or radicals can be appended.
But no AI is used for the timebeing. Chtext can also translate a PinYin
file altogether, or translate a GB file into PinYin file. If AI is implemented,
ChText has very good potential.

=========================================================================
Date:         Thu, 8 Mar 90 10:32:00 EST
Reply-To:     Indecision <M_CHEN@HVRFORD>
Sender:       Chinese Computing Network <CCNET-L@UGA>
From:         Indecision <[email-masked]>
Subject:      Pinyin and Traditional characters word processing

     Some time ago I wrote to CCNET to find the names of programs
which would accept Pinyin input and put out traditional characters
and would be for IBM PC or compatable. What follows is a list/summary
of what I have found. I write from the perspective of a student (for I
was one only last year) and not of a school or organization.

To be included, the program must have:
     PinYin Input
     IBM PC or Compatable
     Traditional Character Output

Duke Chinese Typist ($25)
     Simplified/Traditional Ouput
     Mix Eng/Chinese
     Free Updates

        Duke Chinese Typist
        Asian/Pacific Studies Institute
        2111 Campus Drive, Durham, NC 27706

******
*     ReadyPage ($595)
*
*     BrushWriter ($699)
*
*     TianMa ($695)
******
     These programs are (to me) very expensive and if you are in the
market for a "slicker" program you should contact a dealer to learn
about their features in detail.  I'll talk about them only generally.
     ReadyPage and Brushwriter are really for publishing.  Their forte
is in their typsetting features.  Innumerable font sizes, nice styles,
etc..  TianMa's drawback (from one perspective) is in its relative
weakness in the font/output area.  However its strengths include a
learning feature where it learns which words you use the most and they
become the default.  (There are other nice features as well).
     ReadyPage, Brushwriter, and TianMa are all sold by Pacific Rim
Connections (415) 697-9439.  But may also be found elsewhere.

FeiMa-P ($649)
     needs VGA

     Wu Corp.
     (203) 677-1528

I know this is rather sketchy, but I hope it is helpful.  If anyone
knows of other programs with the above-listed characteristics,
please let me know!

Michael A. Chen
Haverford College
Department of Academic Computing
[email-masked]